Bug 857499 - When logging in user which has no permissions, user is told to choose an org, but obviously cannot.
When logging in user which has no permissions, user is told to choose an org,...
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Jason E. Rist
Corey Welton
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-14 11:42 EDT by Corey Welton
Modified: 2014-09-18 11:32 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A user with no permissions was made to choose a default organization on login. This fix adds a condition into the code that notifies the user upon login to contact the administrator for permission to access an organization.
Story Points: ---
Clone Of:
Environment:
CloudForms System Engine Version: 1.1.12-6.el6cf
Last Closed: 2012-12-04 14:52:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2012-09-14 11:42:24 EDT
Description of problem:

A user with no permissions has no rights to choose a default org. However, upon logging in, user is given a message to choose an org. This is a confusing user experience.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Create a new org
2.  Create a new user. Grant this user no rights
3.  Login with new user
4.  View results
  
Actual results:
Login Successful, please choose an Organization
(User cannot, of course, choose an Organization)

Expected results:
Users with no rights shouldn't get a message about choosing an org.

Additional info:
Comment 1 Jason E. Rist 2012-09-19 12:44:05 EDT
Mike suggests just taking them to a dashboard with only notifs portal.
Comment 2 Jason E. Rist 2012-09-20 11:27:13 EDT
Waiting for ack https://github.com/Katello/katello/pull/716
Comment 3 Jason E. Rist 2012-09-20 15:02:01 EDT
1892f20e452104c73ddad3041dedc491857e3e3a
Comment 7 Corey Welton 2012-09-25 15:58:13 EDT
QE Verified.

CloudForms System Engine Version: 1.1.12-9.el6cf
Comment 9 errata-xmlrpc 2012-12-04 14:52:54 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html
Comment 10 Mike McCune 2013-08-16 14:10:08 EDT
getting rid of 6.0.0 version since that doesn't exist

Note You need to log in before you can comment on or make changes to this bug.